Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  trait Phased extends AnyRef

  Mix this into an object and use it as a phasing Swiss Army knife.

  Mix this into an object and use it as a phasing Swiss Army knife.

  Definition Classes
    interpreter
- Cleanup
- Constructors
- Delambdafy
- Erasure
- Explicitouter
- Extmethods
- Fields
- Flatten
- Jvm
- Lambdalift
- Mixin
- Namer
- NoPhaseName
- Packageobjects
- Parser
- Patmat
- PhaseName
- Pickler
- PostErasure
- Refchecks
- Specialize
- Superaccessors
- Tailcalls
- Terminal
- Typer
- Uncurry

o

scala.tools.nsc.interpreter.Phased

# NoPhaseName

###

#### case object NoPhaseName extends PhaseName with Product with Serializable

Source
  Phased.scala

Linear Supertypes
java.io.Serializable, Product, Equals, PhaseName, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NoPhaseName
2. Serializable
3. Product
4. Equals
5. PhaseName
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  lazy val id: Int
    Definition Classes
      NoPhaseName → PhaseName
11.  def isEmpty: Boolean
    Definition Classes
      PhaseName
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  lazy val name: String
    Definition Classes
      NoPhaseName → PhaseName
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def phase: reflect.internal.NoPhase
    Definition Classes
      NoPhaseName → PhaseName
18.  def productElementName(n: Int): String
    Definition Classes
      Product
19.  def productElementNames: Iterator[String]
    Definition Classes
      Product
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from PhaseName

### Inherited from AnyRef

### Inherited from Any

### Ungrouped